import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { j as text } from './parts.js';

const BankAccountReadOnlyValue = /*@__PURE__*/ proxyCustomElement(class BankAccountReadOnlyValue extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        return (h("div", { key: '5e9a8a093224b9fba7e1bfe06e2fe7f6bd8d7de4' }, h("label", { key: 'a2a061298482f337999184c670be06e8414e41e8', class: "form-label", part: text }, this.label), h("div", { key: 'aad70e49dd889c6276ec0745d7bff8ae2fc6f53a', part: text }, this.value || '')));
    }
}, [256, "bank-account-read-only-value", {
        "label": [1],
        "value": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bank-account-read-only-value"];
    components.forEach(tagName => { switch (tagName) {
        case "bank-account-read-only-value":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, BankAccountReadOnlyValue);
            }
            break;
    } });
}
defineCustomElement();

export { BankAccountReadOnlyValue as B, defineCustomElement as d };
